Bug 483246 - safekeep requires safekeep-server-ctrl-key even for localhost
safekeep requires safekeep-server-ctrl-key even for localhost
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: safekeep (Show other bugs)
9
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
http://safekeep.sourceforge.net/safek...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-30 09:16 EST by Michael Ploujnikov
Modified: 2009-06-14 20:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-14 20:00:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Ploujnikov 2009-01-30 09:16:29 EST
Description of problem:
I have a very simple safekeep configuration to backup the localhost machine:

<backup>
  <host name="localhost" />
  <setup>
      <snapshot device="/dev/mapper/VolGroup00-snapshot" size="800M" />
  </setup>
  <repo path="/mnt/backup" retention="3M"/>
  <data>
    <include path="/home"/>
    <include path="/etc"/>
    <include path="/boot"/>
  </data>
</backup>

However, every time the safekeep job runs I get the following messages in my e-mail:

INFO: ------------------------------------------------------------------
INFO: Server backup starting for client localhost
ERR: Client localhost missing ctrl key /var/lib/safekeep/.ssh/safekeep-server-ctrl-key
ERR: Server backup for client localhost: FAILED

Version-Release number of selected component (if applicable):
safekeep-common 1.0.3 2.fc9
safekeep-server 1.0.3 2.fc9

How reproducible:
Always.

Steps to Reproduce:
1. install safekeep-server
2. create /etc/safekeep/backup.d/localhost.backup with the above contents
3. wait for the cron job to run
  
Actual results:
I get the above error message in e-mail and no backups are made.

Expected results:
I should get a confirmation of successfull backup and see actual backups in /mnt/backup

Additional info:
The way I understand the manual, using "localhost" as the hostname should avoid the need for SSH and therefore the ctrl key.

I suspect that updating to the latest version of safekeep from http://safekeep.sourceforge.net/download.shtml could fix this problem.
Comment 1 Jef Spaleta 2009-01-30 12:34:08 EST
Can you test to see if the 1.0.5 safekeep in updates-testing fixes this?

https://admin.fedoraproject.org/updates/F9/FEDORA-2009-0001

-jef
Comment 2 Dimi Paun 2009-01-30 19:34:30 EST
This seems like a usage error: the keys were not deployed.
To deploy the keys just do:
    safekeep --keys --deploy

However, for this to work safekeep will need to connect to
the "clients" (the boxes that will be backed up, in this
case the same box, localhost) as root.

Alternatively, since you are trying to backup just your box,
you can bypass SSH altogether by not having a 'host' element.
I believe in that case safekeep should just bypass SSH, but
if it doesn't, please let me know.

Dimi.
Comment 3 Bug Zapper 2009-06-09 23:31:27 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Michael Ploujnikov 2009-06-14 20:00:53 EDT
Using the following packages in Fedora 11:
safekeep-server-1.0.5-2.fc11.noarch
safekeep-common-1.0.5-2.fc11.noarch

and removing the "<host name="localhost" />" element fixes this problem.

Note You need to log in before you can comment on or make changes to this bug.